const Joi = require('joi');
const { DISCOVER_LOCATION } = require('../utils/consts');

const accountSchema = Joi.object().keys({
    accountName: Joi.string().required(),
    accountPublicId: Joi.string().required()
});

const workspaceSchema = Joi.object().keys({
    workspaceName: Joi.string().required(),
    workspacePublicId: Joi.string().required()
});

const resourceSchema = Joi.object().keys({
    resourceIdentifier: Joi.string().required(),
    agentId: Joi.string().required(),
    workspaceIds: Joi.array().items(Joi.string()),
    resourceType: Joi.string().valid(DISCOVER_LOCATION)
});

const resourcesSchema = Joi.array().items(resourceSchema);

const createAccountResponseSchema = Joi.object().keys({
    accountPublicId: Joi.string().required()
});

const getAccountsSchema = Joi.array().items(accountSchema);

const getWorkspaceSchema = Joi.array().items(workspaceSchema);

module.exports = {
    getAccountsSchema, getWorkspaceSchema, createAccountResponseSchema, workspaceSchema, resourcesSchema
};
