const Joi = require('joi');
const {
    cloudProviders, AWS, FAILED_SUBSCRIPTION, SUBSCRIBED, UNSUBSCRIBE_PENDING, UNSUBSCRIBED, PENDING_SUBSCRIPTION
} = require('../utils/consts');

const subscriptionSchema = Joi.object().keys({
    subscriptionId: Joi.string(),
    cloudProvider: Joi.string().valid(cloudProviders[AWS]),
    name: Joi.string(),
    subscriptionStatus: Joi.string().valid(FAILED_SUBSCRIPTION, SUBSCRIBED, UNSUBSCRIBED, UNSUBSCRIBE_PENDING, PENDING_SUBSCRIPTION),
    serviceName: Joi.string(),
    createdAt: Joi.number(),
    accounts: Joi.array().items(Joi.string())
});

const listSubscriptionResponse = Joi.array().items(subscriptionSchema);

module.exports = { listSubscriptionResponse, subscriptionSchema };
