const axios = require('axios');
const { SUBSCRIPTION_ENDPOINT, CLOUD_TIERING_NAMESPACE } = require('../utils/consts');
const { getTenancyServiceToken } = require('./auth0');
const { listSubscriptionResponse } = require('../joi-schemas/subscription-schemas');
const { validateResponse } = require('../utils/schema-validation');

async function listSubscriptionsOfAccount(accountId) {
    const { data } = await axios.get(`${SUBSCRIPTION_ENDPOINT}/${accountId}`, {
        headers: {
            authorization: getTenancyServiceToken(),
            'X-User-Token': CLOUD_TIERING_NAMESPACE.get('userToken')
        }
    });
    // data is [{subscriptionId, cloudProvider, name, status, serviceName}]
    validateResponse(data, listSubscriptionResponse);
    return data;
}


module.exports = { listSubscriptionsOfAccount };
