const randomize = require('randomatic');
const { CLOUD_TIERING_NAMESPACE } = require('../utils/consts');
// values are grouped into namespaces- created with createNameSpace().
// Sets of function calls are grouped together by calling them within the function passed to .run() on the namespace object
// calls to .run() can be nested
// When a function is making multiple asynchronous calls, this allows each child to get set and pass along its own context without overwriting the parent's

function continuationLocalStorageMiddleware(req, res, next) {
    const requestId = `CT-${randomize('Aa0', 8)}`;

    res.append('X-NetApp-CT-Request-ID', requestId);

    CLOUD_TIERING_NAMESPACE.bindEmitter(req);
    CLOUD_TIERING_NAMESPACE.bindEmitter(res);

    CLOUD_TIERING_NAMESPACE.run(() => {
        CLOUD_TIERING_NAMESPACE.set('requestId', requestId);
        next();
    });
}

module.exports = continuationLocalStorageMiddleware;
