const mongoose = require('mongoose');
const moment = require('moment');

const accountSchema = new mongoose.Schema({
    name: { type: String, required: true },
    accountId: { type: String, required: true, index: { unique: true } },
    freeTrialExpiryDate: { type: Date, required: false, default: moment().add(60, 'days') }
}, {
    timestamps: true, // assign createdAt and updatedAt
    toJSON: {
        transform(doc, ret) {
            const toReturn = ret;
            delete toReturn.__v;
            return toReturn;
        }
    }
});


const Account = mongoose.model('Account', accountSchema);

module.exports = Account;
