function adjustAgentResponse(agent) {
    const { status } = agent;
    switch (status) {
        case 'pending': {
            agent.reason = 'This Service Connector is currently being deployed. The process should take several minutes.';
            break;
        }
        case 'unknown': {
            agent.reason = 'The status of this Service Connector is unknown. You should deploy a new Service Connector.';
            break;
        }
        case 'inactive': {
            agent.reason = 'This Service Connector is inactive. Ensure that the Service Connector system is running and that a network connection is available to the Cloud Tiering service.';
            break;
        }
        default: {
            break;
        }
    }

    agent.provider = agent.provider.toUpperCase();
    return agent;
}

module.exports = adjustAgentResponse;
