const nock = require('nock');
const getLogger = require('../../../src/utils/logger/logger');

const logger = getLogger('simulator');

const ec2Scope = nock('https://ec2.us-east-1.amazonaws.com')
    .log(evt => logger.info(evt))
    // describe regions
    .post('/', body => body.Action === 'DescribeRegions')
    .delay(100)
    .reply(200, () => `
        <DescribeRegionsResponse xmlns="http://ec2.amazonaws.com/doc/2016-11-15/">
            <requestId>59dbff89-35bd-4eac-99ed-be587EXAMPLE</requestId>
            <regionInfo>
                <item>
                    <regionName>us-east-1</regionName>
                    <regionEndpoint>ec2.us-east-1.amazonaws.com</regionEndpoint>
                </item>
                <item>
                    <regionName>us-east-2</regionName>
                    <regionEndpoint>ec2.us-east-2.amazonaws.com</regionEndpoint>
                </item>
                 <item>
                    <regionName>us-west-1</regionName>
                    <regionEndpoint>ec2.us-west-1.amazonaws.com</regionEndpoint>
                </item>
                 <item>
                    <regionName>eu-west-1</regionName>
                    <regionEndpoint>ec2.eu-west-1.amazonaws.com</regionEndpoint>
                </item>
                 <item>
                    <regionName>eu-central-1</regionName>
                    <regionEndpoint>ec2.eu-central-1.amazonaws.com</regionEndpoint>
                </item>
                 <item>
                    <regionName>ap-south-1</regionName>
                    <regionEndpoint>ec2.ap-south-1.amazonaws.com</regionEndpoint>
                </item>
                 <item>
                    <regionName>ap-southeast-1</regionName>
                    <regionEndpoint>ec2.ap-southeast-1.amazonaws.com</regionEndpoint>
                </item>    
                <item>
                    <regionName>sa-east-1</regionName>
                    <regionEndpoint>ec2.sa-east-1.amazonaws.com</regionEndpoint>
                </item>    
                <item>
                    <regionName>cn-north-1</regionName>
                    <regionEndpoint>ec2.cn-north-1.amazonaws.com</regionEndpoint>
                </item>
            </regionInfo>
        </DescribeRegionsResponse>
    `);

ec2Scope.persist(true);
